routes/web.php
<?php

use App\Http\Controllers\Admin\DashboardController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\KategoriController;
use App\Http\Controllers\Admin\ListprodukController;
use App\Http\Controllers\Admin\UkuranController;
use App\Http\Controllers\Admin\DetailprodukController;
use App\Http\Controllers\Admin\TransaksiController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\DetailtransaksiController;
use App\Http\Controllers\Admin\LogtransaksiController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('listproduk', ListprodukController::class);
Route::resource('kategori', KategoriController::class);  
Route::resource('ukuran', UkuranController::class);
Route::resource('detailproduk', DetailprodukController::class);
Route::get('/admin/detailproduk/{id_produk}/tambah', [DetailProdukController::class, 'createWithProduk']);
Route::post('/admin/detailproduk/{id_produk}', [DetailProdukController::class, 'store']);
Route::resource('transaksi', TransaksiController::class);
Route::resource('user', UserController::class);
Route::resource('detailtransaksi', DetailtransaksiController::class);
Route::resource('logtransaksi', LogtransaksiController::class);


// Route::get('/searchproduct', [TransaksiController::class, 'search_product']);
// Route::get('/search','TransaksiController@search');

Route::get('/cart', function () {
    $cart = session('cart');
dd($cart);
});
Route::get('/cart/tambah/{id}', [TransaksiController::class, 'tambah_cart'])->where('id', '[0-9]+');
Route::get('/cart/hapus/{id}', [TransaksiController::class, 'hapus_cart'])->where('id', '[0-9]+');
Route::post('/cart/ubah/quantity/{id}', [TransaksiController::class, 'edit_quantity']);




Route::get('/admin/dashboard', [DashboardController::class, 'index'])->name('dashboard');
//Route::get('/admin/kategori/index', [KategoriController::class, 'index'])->name('kategori');
//Route::get('admin/kategori/form', [DashboardController::class, 'create'])->name('kategori');
//Route::get('/admin/kategori/ukuran', [UkuranController::class, 'index'])->name('kategori');

//Route::get('/admin/kategori/listproduk', [ListprodukController::class, 'index'])->name('kategori');
//Route::get('/produk/create', [ListprodukController::class, 'create'] );
//Route::post('/produk', [ListprodukController::class, 'store'] );

//Route::get('admin/kategori/formkategori', [KategoriController::class, 'create'])->name('kategori');
//Route::get('admin/kategori/formukuran', [UkuranController::class, 'create'])->name('kategori');
//Route::get('admin/kategori/formlist', [ListprodukController::class, 'create'])->name('kategori');

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'users';
    protected $fillable = 
    [
        'id','nama','email','password','no_telepon','role','alamat'
    ];

    public function kasir()
    {
        return $this->hasMany(Transaksi::class, 'id_kasir','id');
    }

    public function pembeli()
    {
        return $this->hasMany(Transaksi::class, 'id_pembeli','id');
    }

}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\user;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $data['user'] = User::all();
        return view('admin.user.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('admin.user.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $rule = [
            'nama' => 'required',
            'email' => 'required',
            'password',
            'no_telepon' => 'required',
            'role' => 'required',
            'alamat' => 'required'
        ];

        $customMessages = [
            'nama.required' => 'Field Nama Wajib Diisi!',
            'email.required' => 'Field Email Wajib Diisi!',
            'password.required' => 'Field Password Wajib Diisi!',
            'no_telepon.required' => 'Field Nomor Telepon Wajib Diisi!',
            'role.required' => 'Field Role Wajib Diisi!',
            'alamat.required' => 'Field Alamat Wajib Diisi!',
        ];

        $this->validate($request, $rule, $customMessages);
        
        $input = $request->all();
        $input["password"] = Hash::make($request->password);
        $status = User::create($input);
        if ($status) {
            return redirect('user')->with('success','Data berhasil ditambahkan');
        }
    }
    

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $user = User::find($id);
        $data['user'] = $user;
        return view('admin.user.form', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $rule = [
            'nama' => 'required',
            'email' => 'required',
            'password',
            'no_telepon' => 'required',
            'role' => 'required',
            'alamat' => 'required'
        ];

        $customMessages = [
            'nama.required' => 'Field Nama Wajib Diisi!',
            'email.required' => 'Field Email Wajib Diisi!',
            'password.required' => 'Field Password Wajib Diisi!',
            'no_telepon.required' => 'Field Nomor Telepon Wajib Diisi!',
            'role.required' => 'Field Role Wajib Diisi!',
            'alamat.required' => 'Field Alamat Wajib Diisi!',
        ];

        $this->validate($request, $rule, $customMessages);

        $user= User::find($id);
        $user->nama = $request->nama;
        $user->email = $request->email;
        // $user->password = $request->password;
        if($request->password)
        {
        $user->password = Hash::make($request->password);
        }
        $user->no_telepon = $request->no_telepon;
        $user->role = $request->role;
        $user->alamat = $request->alamat;

        $status = $user->save();
        if ($status) {
            return redirect('user')->with('success','Data berhasil diubah');
        }
        
    }
    

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $user= User::find($id);
        $status = $user->delete();
        
        if ($status) {
            return 1;
        }else{
            return 0;
        
        }
    }
}
    

resources/views/admin/user/form.blade.php
@extends('admin.layout.app')

@section('content')
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Form Layouts</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{url('/admin/kategori/user')}}">Home</a>
                                    </li>
                                    <li class="breadcrumb-item"><a href="#">Forms</a>
                                    </li>
                                    <li class="breadcrumb-item active"><a href="#">Form Layouts</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                    <div class="form-group breadcrumb-right">
                        <div class="dropdown">
                            <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i data-feather="grid"></i></button>
                            <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="app-todo.html"><i class="mr-1" data-feather="check-square"></i><span class="align-middle">Todo</span></a><a class="dropdown-item" href="app-chat.html"><i class="mr-1" data-feather="message-square"></i><span class="align-middle">Chat</span></a><a class="dropdown-item" href="app-email.html"><i class="mr-1" data-feather="mail"></i><span class="align-middle">Email</span></a><a class="dropdown-item" href="app-calendar.html"><i class="mr-1" data-feather="calendar"></i><span class="align-middle">Calendar</span></a></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Basic Horizontal form layout section start -->
                <section id="basic-horizontal-layouts">
                    <div class="row justify-content-center">
                        <div class="col-md-12 col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">User</h4>
                                </div>
                                <div class="card-body">
                                    <form class="form form-horizontal" method="POST" action="{{@$user ? route('user.update',@$user->id) : route('user.store')}}" enctype="multipart/form-data">
                                        @csrf
                                        @if (@$user)
                                        @method('patch')
                                    @endif
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="email-id">Nama Lengkap</label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="nama" class="form-control" name="nama" placeholder="Nama" value="{{old('nama', @$user ? $user->nama: '')}}"/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="email-id">Email</label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="email" class="form-control" name="email" placeholder="Email" value="{{old('email', @$user ? $user->email: '')}}"/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="email-id">Password</label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                        <input type="password" id="password" class="form-control" name="password" placeholder="Password" value=""/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="no-telepon">Nomor Telepon</label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="no_telepon" class="form-control" name="no_telepon" placeholder="Nomor Telepon" value="{{old('no_telepon', @$user ? $user->no_telepon: '')}}"/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="email-id">Role</label>
                                                    </div>
                                                    <div class="col-9">
                                                    <select class="form-control" id="role" name="role" required>
                                                        <option value="">-- PILIH ROLE --</option>
                                                        <option value="1" {{@$user->role == "1" ? "selected" : ""}}>Kasir</option>
                                                        <option value="2" {{@$user->role == "2" ? "selected" : ""}}>Pembeli</option>
                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="form-group row">
                                                    <div class="col-sm-3 col-form-label">
                                                        <label for="email-id">Alamat</label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                       <textarea name="alamat" id="alamat" cols="30" rows="10" class="form-control">{{old('alamat', @$user ? $user->alamat : '')}}</textarea>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-9 offset-sm-3">
                                                <button type="submit" class="btn btn-primary mr-1">Submit</button>
                                                <button type="reset" class="btn btn-outline-secondary">Reset</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                </section>
                <!-- Basic Horizontal form layout section end -->
            </div>
        </div>
    </div>
    <!-- END: Content-->
@endsection

resources/views/admin/user/index.blade.php
@extends('admin.layout.app')
@section('content')
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">Bootstrap Tables</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="index.html">Home</a>
                                    </li>
                                    <li class="breadcrumb-item active">Table Bootstrap
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                    <div class="form-group breadcrumb-right">
                        <div class="dropdown">
                            <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i data-feather="grid"></i></button>
                            <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="app-todo.html"><i class="mr-1" data-feather="check-square"></i><span class="align-middle">Todo</span></a><a class="dropdown-item" href="app-chat.html"><i class="mr-1" data-feather="message-square"></i><span class="align-middle">Chat</span></a><a class="dropdown-item" href="app-email.html"><i class="mr-1" data-feather="mail"></i><span class="align-middle">Email</span></a><a class="dropdown-item" href="app-calendar.html"><i class="mr-1" data-feather="calendar"></i><span class="align-middle">Calendar</span></a></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Bordered table start -->
                <div class="row" id="table-bordered">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">User</h4>
                                <a href="{{route('user.create')}}" class="btn btn-primary">Tambah Data</a>
                            </div>
                            <div class="card-body">
                                <p class="card-text">
                                </p>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Nama</th>
                                            <th>Email</th>
                                            <th>No Telepon</th>
                                            <th>Role</th>
                                            <th>Alamat</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($user as $row)
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$row->nama}}</td>
                                        <td>{{$row->email}}</td> 
                                        <td>{{$row->no_telepon}}</td> 
                                        <td>{{$row->role}}</td> 
                                        <td>{{$row->alamat}}</td> 

                                        <td>
                                            <a href="{{route('user.edit', $row->id)}}" class="btn btn-warning">Edit </a>
                                            <a href="#" data-id="{{$row->id}}" class="btn btn-danger btn-del">Delete</a>
                                        </td>
                                    </tbody>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Bordered table end -->

            </div>
        </div>
    </div>
    <!-- END: Content-->
@endsection

@push('scripts')
<script>
    $(document).on('click', '.btn-del', function () {
        var id = $(this).data('id');
        Swal.fire({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        'url': '{{url('user')}}/' + id,
                        'type': 'post',
                        'data': {
                            '_method': 'DELETE',
                            '_token': '{{csrf_token()}}'
                        },
                        success: function (response) {
                            if (response == 1) {
                                Swal.fire(
                                    'Deleted!',
                                    'Your file has been deleted.',
                                    'success'
                                )
                                window.setTimeout(function () {
                                    location.reload();
                                }, 2000);
                            } else {
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Oops...',
                                    text: 'Data gagal dihapus!'
                                });
                            }
                        }
                    });
                }
            });
        });
    </script>
@endpush